#include<iostream>
using namespace std;
int main(){
int a, b, l, mas[1000], izp=0;
cin>>a>>b>>l;
for(int i=0; i<l; i++)
mas[i]=i+1;
for(int i=0; i<l; i++)
{
    int v=0;
    for(int x=1; x*a<=mas[i]; x++)
    {
        if((mas[i]-x*a)%b!=0 || (mas[i]-x*a)/b>0)
        {
            v++;
        }
    }
    if(v>0)izp++;
}

cout<<izp<<endl;

return 0;
}
